Node('ill5.config.sea.psi.ch',
     'orange cryostat with 100 mm sample space',
)

Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main SEA connection to ill5.config',
    config='ill5.config',
    service='main',
)

Mod('tt',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    meaning=['temperature_regulation', 27],
    sea_object='tt',
    rel_paths=['tm', '.', 'set', 'dblctrl'],
)

Mod('cc',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='cc',
    extra_modules=['h'],
    visibility=2,
)

Mod('lev',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    single_module='cc.h',
)

Mod('nv',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='nv',
)

Mod('ln2fill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='ln2fill',
)

Mod('hefill',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hefill',
)

Mod('hepump',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='hepump',
)

Mod('hemot',
    'frappy_psi.sea.SeaDrivable', '',
    io='sea_main',
    sea_object='hemot',
)

Mod('table',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='table',
)
