Node('ma7_thermalc.config.sea.psi.ch',
    '''6.8 Tesla horizontal cryomagnet for thrermalcond''',
)
Mod('sea_main',
    'frappy_psi.sea.SeaClient',
    'main sea connection for ma7_thermalc.config',
    config = 'ma7_thermalc.config',
    service = 'main',
)
#Mod('tt',
#    'frappy_psi.sea.SeaDrivable', '',
#    io='sea_main',
#    sea_object='tt',
#    rel_paths=['.', 'tm'],
#)

Mod('tt',
    'frappy_psi.sea.SeaDrivable', '',
    meaning=['temperature_regulation', 27],
    io='sea_main',
    sea_object='tt',
    rel_paths=['tm', '.', 'set', 'dblctrl'],
)

Mod('th',
    'frappy_psi.sea.SeaReadable',
    'sample heater temperature',
    io='sea_main',
    sea_object='tt',
    rel_paths=['ts', 'setsamp']
)

Mod('ts',
    'frappy_psi.parmod.Converging',
    'test for parmod',
    unit='K',
    value_param='th.value',
    target_param='th.setsamp',
    meaning=['temperature', 20],
    settling_time=20,
    tolerance=1,
)

Mod('samph',
    'frappy_psi.sea.SeaWritable', '',
    io='sea_main',
    sea_object='tt',
    rel_paths=['setsamp','power'],
)


Mod('cc',
    'frappy_psi.sea.SeaReadable', '',
    io = 'sea_main',
    sea_object = 'cc',
)
Mod('nv',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'nv',
)
Mod('hefill',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'hefill',
)
Mod('hepump',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'hepump',
)
Mod('hemot',
    'frappy_psi.sea.SeaDrivable', '',
    io = 'sea_main',
    sea_object = 'hemot',
)
Mod('nvflow',
    'frappy_psi.sea.SeaReadable', '',
    io = 'sea_main',
    sea_object = 'nvflow',
)
Mod('ln2fill',
    'frappy_psi.sea.SeaWritable', '',
    io = 'sea_main',
    sea_object = 'ln2fill',
)
Mod('mf',
    'frappy_psi.sea.SeaDrivable', '',
    io = 'sea_main',
    sea_object = 'mf',
)
Mod('lev',
    'frappy_psi.sea.SeaReadable', '',
    io = 'sea_main',
    sea_object = 'lev',
)

Mod('tcoil1',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='tcoil',
    rel_paths=['ta'],
)

Mod('tcoil2',
    'frappy_psi.sea.SeaReadable', '',
    io='sea_main',
    sea_object='tcoil',
    rel_paths=['tb'],
)

Mod('table',
    'frappy_psi.sea.SeaReadable', '',
    io = 'sea_main',
    sea_object = 'table',
)

Mod('stick_io',
    'frappy_psi.phytron.PhytronIO',
    'dom motor IO',
    uri='ma7-ts.psi.ch:3007',
)

Mod('stickrot',
    'frappy_psi.phytron.Motor',
    'stick rotation, typically not used as omega',
    io='stick_io',
    encoder_mode='CHECK',
)
