from frappy_psi.ccracks import Rack

Node('ori7test.psi.ch',
     'ORI7 test',
     'tcp://5000'
     )

rack = Rack(Mod)

rack.lakeshore()
rack.sensor('Ts', channel='C', calcurve='x186350')
rack.loop('T', channel='B', calcurve='x174786', output_module='htr', target=10)
rack.heater('htr', 1, '100W', 25)

rack.he()
rack.n2()
rack.flow(min_open_pulse=0.03)
